<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\RamEntity;
use App\Models\Equipment\Part\RamModel;
use CodeIgniter\HTTP\IncomingRequest;

class RamService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Ram');
    }
    public function getModelClass(): RamModel
    {
        return new RamModel();
    }
    public function getEntityClass(): RamEntity
    {
        return new RamEntity();
    }
    final public function getFormFields(): array
    {
        return [
            "model",
            "status",
        ];
    }
    final public function getFilterFields(): array
    {
        return ['status'];
    }
    final public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['model', 'status'];
    }
}
